let mixin = {
    data(){
        return  {

        }
    },
    methods:{
        handleSaleConfirm(id,pageType){
            console.log(id)
            this.$confirm('确认售后工单?', '提示', {
                confirmButtonText: '确定',
                cancelButtonText: '取消',
                type: 'warning'
              }).then(() => {
                   this.$axios.get("/order/confirmAfterSales", {
                     params:{
                        id:id
                     }
                   }).then(res => {
                    let { data, code,msg} = res.data;
                    if (code == 200) {
                        // if(pageType=='list'){
                        //     this.getData()
                        // }else{
                        // this.getInfo()
                        // }
                      this.$router.go(0)
                      this.$message.success(msg)
                    }else{
                      this.$message.error(msg)
                    }
                  });
              }).catch(() => {        
              });
          },
    }
    
}
export default mixin